from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XCalculatable(XInterface, Protocol):
    def calculate(self) -> None: ...
    def calculateAll(self) -> None: ...
    def isAutomaticCalculationEnabled(self) -> bool: ...
    def enableAutomaticCalculation(self, bEnabled: bool) -> None: ...
